Update Welcome Campaign
curl --request POST \
--url https://api.aimtell.com/prod/site/{idSite}/welcome/upsert \
--header 'Content-Type: application/json' \
--header 'X-Authorization-Api-Key: <api-key>' \
--data '
{
"title": "<string>",
"body": "<string>",
"link": "<string>",
"status": "0",
"customIcon": "<string>",
"customImage": "<string>",
"conversion_trigger": {
"eventCategory": "<string>",
"eventAction": "<string>"
},
"actions": {
"a01": {
"title": "<string>",
"link": "<string>"
},
"a02": {
"title": "<string>",
"link": "<string>"
}
}
}
'import requests
url = "https://api.aimtell.com/prod/site/{idSite}/welcome/upsert"
payload = {
"title": "<string>",
"body": "<string>",
"link": "<string>",
"status": "0",
"customIcon": "<string>",
"customImage": "<string>",
"conversion_trigger": {
"eventCategory": "<string>",
"eventAction": "<string>"
},
"actions": {
"a01": {
"title": "<string>",
"link": "<string>"
},
"a02": {
"title": "<string>",
"link": "<string>"
}
}
}
headers = {
"X-Authorization-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Authorization-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
body: JSON.stringify('<string>'),
link: '<string>',
status: '0',
customIcon: '<string>',
customImage: '<string>',
conversion_trigger: {eventCategory: '<string>', eventAction: '<string>'},
actions: {
a01: {title: '<string>', link: '<string>'},
a02: {title: '<string>', link: '<string>'}
}
})
};
fetch('https://api.aimtell.com/prod/site/{idSite}/welcome/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "success",
"message": "Updated welcome message succesfully."
}{
"result": "error",
"message": "Error #139."
}Welcome Notifications
Update Welcome Campaign
Update a Welcome Campaign for a Specific Website
POST
/
prod
/
site
/
{idSite}
/
welcome
/
upsert
Update Welcome Campaign
Authorizations
Path Parameters
Site ID
Body
application/json
Push Title
Push Body
Link
0 = draft, 1 = active
url of custom icon to use (recommended size: 250x250)
url of custom image to use (recommended size: 300x500)
Show child attributes
Show child attributes
action buttons
Show child attributes
Show child attributes
Response
200
⌘I

